// IVoiceWakeCallback.aidl
package com.ximalaya.ting.android.host.service.voicewake;

import com.ximalaya.ting.android.host.service.voicewake.IXYSDKTaskItem;
import com.ximalaya.ting.android.host.service.voicewake.IVoiceWakeInitCallback;

// Declare any non-default types here with import statements

interface IVoiceWakeCallback {
    void onUnConnected();

    void onUXEventWakeUp();

    void onUXEventWaitTimeOut();

    void onTTSPlayEnd();

    void onTTSPlayResult(String result);

    void onAudioFocusLost();

    void onReceiveScheme(String uri);

    void onRecognizeResult(String result, boolean isEnd);

    void onExecuteTaskItem(IXYSDKTaskItem taskItem);

    void onSDKInited(IVoiceWakeInitCallback voiceWakeInitCallback, boolean isSuccess);
}
