// IVoiceWakeControl.aidl
package com.ximalaya.ting.android.host.service.voicewake;

import com.ximalaya.ting.android.host.service.voicewake.IVoiceWakeCallback;
import com.ximalaya.ting.android.host.service.voicewake.IXYSDKTaskItem;
import com.ximalaya.ting.android.host.service.voicewake.IVoiceWakeInitCallback;

// Declare any non-default types here with import statements

interface IVoiceWakeControl {
    void registerVoiceWakeCallback(IVoiceWakeCallback callBack);

    void unRegisterVoiceWakeCallback(IVoiceWakeCallback callBack);

    void initSDK(IVoiceWakeInitCallback voiceWakeInitCallback);

    void releaseSDK();

    boolean isSDKConnected();

    void fakeWakeUp();

    void setWakeupEnable(boolean enable);

    void unWakeup();

    void reportContext(String packageName, String page, in Map params);

    void resetIntervalAfterWakeUp();

    void startRecord();

    void stopRecord();

    void resetTimestamp();

    void stopTTSPlay();

    void addXYSDKTaskItem(IXYSDKTaskItem taskItem);
}
